gdp.h File Reference
`#include <glib-object.h>`
`#include "vmware/tools/plugin.h"`

Go to the source code of this file.

## Data Structures

struct | ToolsPluginSvcGdp
| Type of the public interface of the gdp plugin service. More...

## Macros

#define | GDP_PROTOCOL_VERSION 2
#define | GDP_PROTOCOL_UNVERSIONED_VERSION 1
#define | GDP_PROTOCOL_VERSIONED_VERSION 2
#define | GDP_PROTOCOL_DM_MAX_VERSION GDP_PROTOCOL_VERSION
#define | GDP_PROTOCOL_DM_RESP_MAX_VERSION GDP_PROTOCOL_VERSION
#define | GDP_MAX_PACKET_LEN (17 * 4096 - 24)
#define | GDP_USER_DATA_LEN (12 * 4096)
#define | TOOLS_PLUGIN_SVC_PROP_GDP "tps_prop_gdp"
#define | GDP_ERR_LIST
#define | GDP_ERR_ITEM(a, b, c)

## Typedefs

typedef enum GdpError | GdpError
typedef struct ToolsPluginSvcGdp | ToolsPluginSvcGdp
| Type of the public interface of the gdp plugin service.

## Enumerations

enum | GdpError { GDP_ERR_LIST }

## Detailed Description

Public interface of the "gdp" plugin service.

## Macro Definition Documentation

## GDP_ERR_ITEM

#define GDP_ERR_ITEM | ( |  | a,
|  |  | b,
|  |  | c )

Value:
a,

## GDP_ERR_LIST

#define GDP_ERR_LIST

Value:
GDP_ERR_ITEM(GDP_ERROR_SUCCESS = 0, \
"success", \
"No error") \
GDP_ERR_ITEM(GDP_ERROR_INVALID_DATA, \
"invalid-data", \
"Invalid data") \
GDP_ERR_ITEM(GDP_ERROR_DATA_SIZE, \
"data-size", \
"Data size too large") \
GDP_ERR_ITEM(GDP_ERROR_GENERAL, \
"error", \
"General error") \
GDP_ERR_ITEM(GDP_ERROR_STOP, \
"stopped-for-shutdown", \
"Stopped for vmtoolsd shutdown") \
GDP_ERR_ITEM(GDP_ERROR_UNREACH, \
"publisher-unreachable", \
"Host daemon unreachable") \
GDP_ERR_ITEM(GDP_ERROR_TIMEOUT, \
"timeout", \
"Operation timed out") \
GDP_ERR_ITEM(GDP_ERROR_NO_SUBSCRIBERS, \
"no-subscribers", \
"No subscribers for data") \
GDP_ERR_ITEM(GDP_ERR_MAX, \
"last-error", \
"last-error")

## Typedef Documentation

## ToolsPluginSvcGdp

typedef struct ToolsPluginSvcGdp ToolsPluginSvcGdp

Type of the public interface of the gdp plugin service.

This struct is published in the tools application context service object's TOOLS_PLUGIN_SVC_PROP_GDP property.